/**
Copyright (C) 2024  Matthew Kosarek

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

#ifndef MIRACLE_WM_CONFIG_ANIMATION_CONTAINER_TYPE_H
#define MIRACLE_WM_CONFIG_ANIMATION_CONTAINER_TYPE_H

#include "export.h"
#include <array>

namespace miracle
{
enum class MIRACLE_WM_CONFIG_API ContainerType
{
    none,
    leaf,
    shell,
    parent,
    group,
    stack,
    max
};

constexpr std::array<const char*, static_cast<int>(ContainerType::max)> container_type_strings = {
    "none",
    "leaf",
    "shell",
    "parent",
    "group",
    "stack"
};

}

#endif // MIRACLE_WM_CONFIG_ANIMATION_CONTAINER_TYPE_H
